Subject: bug#30370: guix system init can't find guix-register

From: Diego Nicola Barbato <[email-masked]>
Date: Fri, 09 Feb 2018 11:26:50 +0100

Hello,

[email-masked] (Ludovic Courtès) writes:

> Hello,
>
> Diego Nicola Barbato <[email-masked]> skribis:
>
>> Betriebssystem unter »/mnt« wird initialisiert …
>> In execvp of /gnu/store/d4wwx93gqizx132zjk7h1ir7rzph0pig-guix-0.12.0-10.ba2260d/sbin/guix-register: Datei oder Verzeichnis nicht gefunden
>> guix system: error: failed to register '/gnu/store/2g4dzfcs6nf906d7jl6q225llmnv7krl-linux-libre-4.15' under '/mnt'
>> copying to '/mnt'...
>>
>> It does not matter that it is a loopback device.  The same thing happens
>> if I try to install it on a USB flash drive.
>> The issue seems to be that there is no
>> d4wwx93gqizx132zjk7h1ir7rzph0pig-guix-0.12.0-10.ba2260d/
>> in my store.  All I could find was this:
>> 80k8kz7qk9palbn0ccw7y3fgym8jxlps-guix-0.12.0-10.ba2260d/
>
> Could you try to figure out where that
> d4wwx93gqizx132zjk7h1ir7rzph0pig-guix-0.12.0-10.ba2260d comes from?

I could not figure out where this comes from.  As I mentioned it is not
in my store, yet (only) "guix system init" seems to look for it.

> Also, current master is at 0.14.0*, so it’s surprising that you end up
> using such an old version.

It is indeed quite surprising.  Especially since "type -P guix-register"
returns "/run/current-system/profile/sbin/guix-register" which links to
"/gnu/store/b5hfsdq8yzcqfvikfhm0gk95xa5pfwgy-guix-0.14.0-7.33988f9/sbin/guix-register"
and "type -P guix" returns "/run/current-system/profile/bin/guix" which links to
"/gnu/store/b5hfsdq8yzcqfvikfhm0gk95xa5pfwgy-guix-0.14.0-7.33988f9/bin/guix"
(for both my user and root).

> Could it be that ~root/.config/guix/latest points to that old Guix?

It did not (I ran "guix pull" as user and as root last Friday,
2018-02-02).  And now after running "guix pull" again (as both user and
root) ~root/.config/guix/latest and ~/.config/guix/latest point to
/gnu/store/a565qard9xc0f0mg0vlbsrn419qgwfp9-guix-latest.

> Does “sudo guix pull” help?

Unfortunately "sudo guix pull" and "guix pull" did not help either.
The error persists even after running
"guix system reconfigure /etc/config.scm" and rebooting.

Greetings

Diego